PCAP::Bam::Bas(3)

PCAP::Bam::Bas
Convenience class for accessing data in a *.bas file.

  METHODS

new Construct an access object for BAM statistics file.

     my $bas_ob = PCAP::Bam::Bas->new($bas);

bas_keys
    Returns the list of available keys for this BAS file.

read_groups
    Returns sorted list of read-groups found in this BAS file.

get Retrieve a value by its readgroup and key:

     $bas->($rg, 'median_insert_size');

    NOTE: Returns undef if a key is not available.